Bug 459068 - [RHEL5.2]: Shutting down an F-9 PV guest leaves around Zombies
[RHEL5.2]: Shutting down an F-9 PV guest leaves around Zombies
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xen (Show other bugs)
5.3
All Linux
medium Severity medium
: rc
: ---
Assigned To: Jiri Denemark
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-14 03:38 EDT by Chris Lalancette
Modified: 2010-04-08 11:46 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-22 13:44:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Lalancette 2008-08-14 03:38:49 EDT
Description of problem:
I'm running a RHEL-5 i386 dom0 (with kernel 2.6.18-96.el5, and xen 3.0.3-69).  I successfully installed a F-9 i386 PV guest.  However, every time I shut down the F-9 guest, it leaves around a zombie domain.  This zombie domain will not go away until I restart xend (at which point I think it is actually still  there, but xend just chooses to ignore it).
Comment 3 Michal Novotny 2010-03-22 03:34:59 EDT
(In reply to comment #0)
> Description of problem:
> I'm running a RHEL-5 i386 dom0 (with kernel 2.6.18-96.el5, and xen 3.0.3-69). 
> I successfully installed a F-9 i386 PV guest.  However, every time I shut down
> the F-9 guest, it leaves around a zombie domain.  This zombie domain will not
> go away until I restart xend (at which point I think it is actually still 
> there, but xend just chooses to ignore it).    

We need to test it with the latest versions of Xen and kernel-xen packages. So, the steps to reproduce are just to install the F-9 i386 PV guest, and shut it down and then the result can be seen ?

Thanks,
Michal
Comment 4 Michal Novotny 2010-03-22 05:52:34 EDT
(In reply to comment #3)
> (In reply to comment #0)
> > Description of problem:
> > I'm running a RHEL-5 i386 dom0 (with kernel 2.6.18-96.el5, and xen 3.0.3-69). 
> > I successfully installed a F-9 i386 PV guest.  However, every time I shut down
> > the F-9 guest, it leaves around a zombie domain.  This zombie domain will not
> > go away until I restart xend (at which point I think it is actually still 
> > there, but xend just chooses to ignore it).    
> 
> We need to test it with the latest versions of Xen and kernel-xen packages. So,
> the steps to reproduce are just to install the F-9 i386 PV guest, and shut it
> down and then the result can be seen ?
> 
> Thanks,
> Michal    

Well, I did install Fedora 9 i386 PV guest on x86_64 dom0 (my workstation) and it's working fine to shutdown the F-9 guest so at least this appears not to be the issue on RHEL-5.4 x86_64 dom0 with kernel-xen-2.6.18-189.el5 and xen-3.0.3-105.el5. Unfortunately I am not having working i386 dom0 right now so I can't test it on this one.

Michal
Comment 5 Chris Lalancette 2010-03-22 13:44:19 EDT
(In reply to comment #4)
> (In reply to comment #3)
> > (In reply to comment #0)
> > > Description of problem:
> > > I'm running a RHEL-5 i386 dom0 (with kernel 2.6.18-96.el5, and xen 3.0.3-69). 
> > > I successfully installed a F-9 i386 PV guest.  However, every time I shut down
> > > the F-9 guest, it leaves around a zombie domain.  This zombie domain will not
> > > go away until I restart xend (at which point I think it is actually still 
> > > there, but xend just chooses to ignore it).    
> > 
> > We need to test it with the latest versions of Xen and kernel-xen packages. So,
> > the steps to reproduce are just to install the F-9 i386 PV guest, and shut it
> > down and then the result can be seen ?
> > 
> > Thanks,
> > Michal    
> 
> Well, I did install Fedora 9 i386 PV guest on x86_64 dom0 (my workstation) and
> it's working fine to shutdown the F-9 guest so at least this appears not to be
> the issue on RHEL-5.4 x86_64 dom0 with kernel-xen-2.6.18-189.el5 and
> xen-3.0.3-105.el5. Unfortunately I am not having working i386 dom0 right now so
> I can't test it on this one.

That's what it was in the past, though obviously this bug is very old.  I'm not going to get around to testing it, and F-9 is no longer supported anyway, so I'll close this.

Chris Lalancette
Comment 6 Paolo Bonzini 2010-04-08 11:45:43 EDT
This bug was closed during 5.5 development and it's being removed from the internal tracking bugs (which are now for 5.6).

Note You need to log in before you can comment on or make changes to this bug.